Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571333 - Review Request: nodejs-intercept-require - Intercept calls to require()
Summary: Review Request: nodejs-intercept-require - Intercept calls to require()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews mozgw
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:30 UTC by Jared Smith
Modified: 2018-05-10 09:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 00:53:07 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2018-04-24 15:05:15 UTC
 - You need to relax objoct-assign to install the package properly:

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides (npm(object-assign) >= 2.0.0 with npm(object-assign) < 3) needed by nodejs-intercept-require-1.1.0-1.fc29.noarch

 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 2 Jared Smith 2018-05-01 12:56:10 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6388.

Comment 3 Gwyn Ciesla 2018-05-01 13:29:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-intercept-require

Comment 4 Jared Smith 2018-05-02 00:53:07 UTC
Packaged in Rawhide, closing this issue


Note You need to log in before you can comment on or make changes to this bug.